Lets Encrypt problems.. Can't get new certificate, due to dual account..?

Discussion in 'General' started by toffie, Mar 22, 2018.

  1. toffie

    toffie New Member

    Hey all,
    I've already noted in my previous thread just some day ago that I have the latest version and all that, so I hope I shouldn't have to get all that into this thread as well..

    Anyhow.. Added a new site, but Let's Encrypt fails with the following log;
    Code:
    2018-03-22 15:10:25,732:DEBUG:certbot.main:Root logging level set at 20
    2018-03-22 15:10:25,734:INFO:certbot.main:Saving debug log to /var/log/letsencrypt/letsencrypt.log
    2018-03-22 15:10:25,735:DEBUG:certbot.main:certbot version: 0.10.2
    2018-03-22 15:10:25,735:DEBUG:certbot.main:Arguments: ['-n', '--text', '--agree-tos', '--expand', '--authenticator', 'webroot', '--server', 'https://acme-v01.api.letsencrypt.org/directory', '--rsa-key-size', '4096', '--email', '[email protected]', '--domains', 'jonas.topdomain.com', '--webroot-path', '/usr/local/ispconfig/interface/acme']
    2018-03-22 15:10:25,737:DEBUG:certbot.main:Discovered plugins: PluginsRegistry(PluginEntryPoint#apache,PluginEntryPoint#webroot,PluginEntryPoint#null,PluginEntryPoint#manual,PluginEntryPoint#standalone)
    2018-03-22 15:10:25,738:DEBUG:certbot.plugins.selection:Requested authenticator webroot and installer None
    2018-03-22 15:10:25,746:DEBUG:certbot.plugins.selection:Single candidate plugin: * webroot
    Description: Place files in webroot directory
    Interfaces: IAuthenticator, IPlugin
    Entry point: webroot = certbot.plugins.webroot:Authenticator
    Initialized: <certbot.plugins.webroot.Authenticator object at 0x7fdc0ee4add0>
    Prep: True
    2018-03-22 15:10:25,748:DEBUG:certbot.plugins.selection:Selected authenticator <certbot.plugins.webroot.Authenticator object at 0x7fdc0ee4add0> and installer None
    2018-03-22 15:10:26,421:DEBUG:certbot.main:Exiting abnormally:
    Traceback (most recent call last):
      File "/usr/bin/letsencrypt", line 11, in <module>
        load_entry_point('certbot==0.10.2', 'console_scripts', 'certbot')()
      File "/usr/lib/python2.7/dist-packages/certbot/main.py", line 849, in main
        return config.func(config, plugins)
      File "/usr/lib/python2.7/dist-packages/certbot/main.py", line 621, in obtain_cert
        le_client = _init_le_client(config, auth, installer)
      File "/usr/lib/python2.7/dist-packages/certbot/main.py", line 399, in _init_le_client
        acc, acme = _determine_account(config)
      File "/usr/lib/python2.7/dist-packages/certbot/main.py", line 364, in _determine_account
        acc = display_ops.choose_account(accounts)
      File "/usr/lib/python2.7/dist-packages/certbot/display/ops.py", line 83, in choose_account
        "Please choose an account", labels, force_interactive=True)
      File "/usr/lib/python2.7/dist-packages/certbot/display/util.py", line 480, in menu
        self._interaction_fail(message, cli_flag, "Choices: " + repr(choices))
      File "/usr/lib/python2.7/dist-packages/certbot/display/util.py", line 442, in _interaction_fail
        raise errors.MissingCommandlineFlag(msg)
    MissingCommandlineFlag: Missing command line flag or config entry for this setting:
    Please choose an account
    Choices: ['[email protected]:55:35Z (802d)', '[email protected]:26:31Z (a2f5)']
    As far as I understand, this is because of the problem I mentioned in my previous thread which I quote here;
    Previous thread about not being able to renew certificates;
    https://www.howtoforge.com/communit...-problems-again-cant-renew-certificate.78633/

    So, how do I solve this then? Is it possible for ISPconfig to define which account it should work with or do I need to remove one of the accounts and redo the certificates - if any - that are on the "old" account?

    Not sure how to proceed :) Hoping for help :)
     
  2. toffie

    toffie New Member

Share This Page